<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextLabel Method (IEdmFolder5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder5 Interface : GetNextLabel Method (IEdmFolder5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of label to retrieve (see Remarks)

Gets the next label in the enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextLabel( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmLabel5

C# |
--- | ---

    IEdmLabel5 GetNextLabel(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmLabel5^ GetNextLabel(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of label to retrieve (see Remarks)

#### Return Value

IEdmLabel5

# Example

Create Labels on Folders (VB.NET)
Create Labels on Folders (C#)

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first label, IEdmPos5. Call IEdmFolder5::GetFirstLabelPosition to obtain IEdmPos5.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the labels.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

C++ programmers not using smart-pointer wrapper functions must release the returned interface.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_END_OF_LIST: You have gone past the end of the list.

# See Also

####

IEdmFolder5 Interface
IEdmFolder5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2